/*
 * Copyright (c) 2009 Tobias Rautenkranz <tobias@rautenkranz.ch>
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

#include <stdio.h>
#include <stdlib.h>
#include <error.h>
#include <errno.h>

int
main(int argc, char* argv[])
{
	if (argc != 3)
		error(EXIT_FAILURE, errno, "usage: %s TIMES FILENAME", argv[0]);

	int count = atoi(argv[1]);
	const char* filename = argv[2];

	int i;
	for(i=0; i < count; i++)
	{
		FILE* file = fopen(filename, "r");
		if (!file)
			error(EXIT_FAILURE, errno, "open %s", filename);

		char buffer[100];
		size_t len;
		do {
			len = fread(buffer, 1, sizeof(buffer), file);
			size_t write_len = fwrite(buffer, 1, len, stdout);

			if (write_len != len)
				error(EXIT_FAILURE, 0, "write to stdout");
		} while (sizeof(buffer) == len || !feof(file));
	}

	return EXIT_SUCCESS;
}
